QuickBooks HelpQuickBooksHelpIntuit

System requirements for QuickBooks Online products

by Intuit Updated 2 weeks ago

Connection speed

Find out what computer and browser you need for the best experience when using QuickBooks Online, QuickBooks Online Accountant, QuickBooks Online Payroll, QuickBooks Self-Employed, and QuickBooks Time.

The requirements for your computer’s internet speed, and your web and mobile browser, vary depending on your system.

You can use QuickBooks Online, QuickBooks Online Accountant, QuickBooks Self-Employed, and QuickBooks Time in a web browser on Linux operating systems, but not the QuickBooks Online Advanced desktop app.

Supported web browsers

In general, QuickBooks supports the current and two previous versions of browsers. We don't always support older versions.

The following browsers are supported on both web and mobile devices:

Note: Internet Explorer is no longer a supported browser.

  • Google Chrome: version 78 or newer
  • Mozilla Firefox: version 76 or newer. Note: To preview and print forms on Mac OS, you'll also need the Firefox PDF plugin.
  • Microsoft Edge: version 79 or newer
  • Safari: version 12 or newer (Mac only)
  • Opera: version 68 or newer
  • Samsung: version 10 or newer
  • For Apple products, your device will need to be running iOS 11.1 or newer.
  • For Android products, your device will need to be running Nougat 7.1.1 or newer.
QuickBooks AppsQuickBooks Online AccountantQuickBooks Online EssentialsQuickBooks Online LedgerQuickBooks Online Payroll CoreQuickBooks Online Payroll EliteQuickBooks Online Payroll PremiumQuickBooks Online PlusQuickBooks Online Simple StartQuickBooks Online SolopreneurQuickBooks Self-EmployedQuickBooks Self-Employed AppQuickBooks Time EliteQuickBooks Time PremiumQuickBooks Workforce

Sign in now for personalized help

See articles customized for your product and join our large community of QuickBooks users.

More like this